public class BatchExportShrinkRequest
extends com.aliyun.tea.TeaModel
| 限定符和类型 | 字段和说明 |
|---|---|
String |
cursor
When you call this operation to export data, you must specify the
Cursor parameter. |
Integer |
length
The maximum number of data entries that can be returned in each response.
|
String |
measurementsShrink
The statistical methods used to customize the returned data.
|
String |
metric
The metric that is used to monitor the cloud service.
|
String |
namespace
The namespace of the cloud service.
|
| 构造器和说明 |
|---|
BatchExportShrinkRequest() |
| 限定符和类型 | 方法和说明 |
|---|---|
static BatchExportShrinkRequest |
build(Map<String,?> map) |
String |
getCursor() |
Integer |
getLength() |
String |
getMeasurementsShrink() |
String |
getMetric() |
String |
getNamespace() |
BatchExportShrinkRequest |
setCursor(String cursor) |
BatchExportShrinkRequest |
setLength(Integer length) |
BatchExportShrinkRequest |
setMeasurementsShrink(String measurementsShrink) |
BatchExportShrinkRequest |
setMetric(String metric) |
BatchExportShrinkRequest |
setNamespace(String namespace) |
@NameInMap(value="Cursor") public String cursor
When you call this operation to export data, you must specify the Cursor parameter. You can obtain the value of the Cursor parameter by using one of the following methods:
Cursor value. For more information, see Cursor.Cursor value from the returned data of the last call.This parameter is required.
example:eyJidWNrZXRzIjo0LCJjdXJzb3IiOiIxNjQxNDU0MzIwMDAwMWUxY2YxNWY0NTU0MTliZjllYTY4OWQ2ODI1OTU1Yzc1NmZjMDQ2OTMxMzczMzM2MzUzMTMxMzEzMzM0MzMzODM5MzEzMTMwMjQyYzY5MmQ3NTY2MzYzMjY3NmI2ZjM5MzU2YjY4MzAzMTYyNzg3MTcwNjkzMTM3MjQyYyIsImN1cnNvclZlcnNpb24iOiJxdWVyeSIsImVuZFRpbWUiOjE2NDE0NTQ3OTU4MjMsImV4cG9ydEVuZFRpbWUiOjE2NDE0NTQ3OTU4MjMsImV4cG9ydFN0YXJ0VGltZSI6MTY0MTQ1NDE5NTgyMywiZXhwcmVzc1JhbmdlIjpmYWxzZSwiaGFzTmV4dCI6dHJ1ZSwiaW5wdXRNZXRyaWMiOiJDUFVVdGlsaXphdGlvbiIsImlucHV0TmFtZXNwYWNlIjoiYWNzX2Vjc19kYXNoYm9hcmQiLCJsaW1pdCI6MTAwMCwibG9nVGltZU1vZGUiOnRydWUsIm1hdGNoZXJzIjp7ImNoYWluIjpbeyJsYWJlbCI6InVzZXJJZCIsIm9wZXJhdG9yIjoiRVFVQUxTIiwidmFsdWUiOiIxNzM2NTExMTM0Mzg5MTEwIn1dfSwibWV0cmljIjoiQ1BVVXRpbGl6YXRpb24iLCJtZXRyaWNUeXBlIjoiTUVUUklDIiwibmFtZXNwYWNlIjoiYWNzX2Vjc19kYXNoYm9hcmQiLCJuZXh0UGtBZGFwdGVyIjp7fSwib2Zmc2V0IjowLCJwYXJlbnRVaWQiOjEyNzA2NzY2Nzk1NDY3MDQsInN0YXJ0VGltZSI6MTY0MTQ1NDE5NTgyMywic3RlcCI6LTEsInRpbWVvdXQiOjEyMCwid2luZG93Ijo2****
@NameInMap(value="Length") public Integer length
The maximum number of data entries that can be returned in each response.
Valid values: 1 to 10000.
This parameter is required.
example:1000
@NameInMap(value="Measurements") public String measurementsShrink
The statistical methods used to customize the returned data. By default, the measurements based on all statistical methods are returned.
For example, the cpu_idle metric of ECS (acs_ecs_dashboard) has three statistical methods: Average, Maximum, and Minimum. If you want to return only the measurements based on the Average and Maximum statistical methods, set this parameter to ["Average", "Maximum"].
The statistical methods of metrics are displayed in the Statistics column on the Metrics page of each cloud service. For more information, see Appendix 1: Metrics.
@NameInMap(value="Metric") public String metric
The metric that is used to monitor the cloud service.
For more information about the metrics of cloud services, see Appendix 1: Metrics.
The value of this parameter must be the same as the value of the request parameter
Metricin the Cursor operation.
This parameter is required.
example:cpu_idle
@NameInMap(value="Namespace") public String namespace
The namespace of the cloud service.
For more information about the namespaces of cloud services, see Appendix 1: Metrics.
The value of this parameter must be the same as the value of the request parameter
Namespacein the Cursor operation.
This parameter is required.
example:acs_ecs_dashboard
public static BatchExportShrinkRequest build(Map<String,?> map) throws Exception
Exceptionpublic BatchExportShrinkRequest setCursor(String cursor)
public String getCursor()
public BatchExportShrinkRequest setLength(Integer length)
public Integer getLength()
public BatchExportShrinkRequest setMeasurementsShrink(String measurementsShrink)
public String getMeasurementsShrink()
public BatchExportShrinkRequest setMetric(String metric)
public String getMetric()
public BatchExportShrinkRequest setNamespace(String namespace)
public String getNamespace()
Copyright © 2026. All rights reserved.